Subject: Re: Confused about recovering from a merge conflict

From: "D. Stuart Freeman" <[email-masked]>
Date: Thu, 29 May 2008 15:48:37 -0400

It was actually my boss that ran into this, he's using msysgit on XP.
I'm not sure what service pack.

Chris Ortman wrote:
> I am also running into this problem.
> Are you running windows+cygwin or git on linux?
> I am on XPSP2 and cygwin
> 
> On Wed, May 14, 2008 at 10:59 AM, D. Stuart Freeman
> <[email-masked]> wrote:
>> I've made some local modifications and want to 'git svn dcommit' them so
>> I 'git svn rebase' first:
>>
>>  $ git svn rebase
>>  First, rewinding head to replay your work on top of it...
>>  HEAD is now at cdef7ac Cleanup of new assignment screens
>>  Applying Cleanup new assignment screens
>>  error: tool/src/webapp/content/css/thickbox.css: does not match index
>>  error: patch failed:
>> tool/src/webapp/content/templates/newassignment1.html:6
>>  error: tool/src/webapp/content/templates/newassignment1.html: patch
>> does not apply
>>  Using index info to reconstruct a base tree...
>>  Falling back to patching base and 3-way merge...
>>  error: Entry 'tool/src/webapp/content/css/thickbox.css' not uptodate.
>> Cannot merge.
>>  fatal: merging of trees aa2dad90c89e9063f2a8002e4b5a11f6b1583955 and
>> 6535ebaaebf
>>  fdaadd44a93bc1fc4a66a5ec4dcf4 failed
>>  Failed to merge in the changes.
>>  Patch failed at 0001.
>>
>>  When you have resolved this problem run "git rebase --continue".
>>  If you would prefer to skip this patch, instead run "git rebase --skip".
>>  To restore the original branch and stop rebasing run "git rebase --abort".
>>
>>  rebase refs/remotes/iteration_5: command returned error: 1
>>
>> Uh-oh, now I appear to be on 'no branch' and the contents of
>> thickbox.css aren't marked up with the conflict markers, it appears to
>> just be the old file without my revisions.  Did I do something wrong?
>> How do I recover from this state?
>>
>> --
>> D. Stuart Freeman
>> Georgia Institute of Technology
>>

-- 
D. Stuart Freeman
Georgia Institute of Technology